Get a Campaign Item

Get a specific campaign item, for the specified campaign.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Unified endpoint

This endpoint returns a static ad or motion ad with its respective fields.

Sample response (for a static ad):

"id": "1",
   "campaign_id": "1234",
   "type": "ITEM",
   "url": "http://news.example.com/demo_article_1.html",
   "thumbnail_url": "http://cdn.example.com/demo_image_1.jpg",
   "title": "Demo Article 1",
   "approval_state": "APPROVED",
   "is_active": true,
   "status": "RUNNING"
}
{
    "http_status": 404,
    "message": "Resource not found"
}
📘

The response body is a valid, JSON object that represents a single campaign item.

📘

Item scheduling

If the item has a custom schedule, the response includes start_date, end_date, and activity_schedule. See Item scheduling.

Path Params
string
required

An alphabetic ID. See Get Account Details.

string
required

A numeric ID.

string
required

A numeric ID.

Language
Credentials
OAuth2
LoadingLoading…